import { useDataCheckStore } from "@/store";
import { saveCheck } from "./api";
import { message } from "ant-design-vue";

export default function useUpload() {
  const dataCheckStore = useDataCheckStore();

  const save = async () => {
    if (!dataCheckStore.curStudent) return;

    const smda =
      dataCheckStore.curStudent?.papers[0]?.pages[0]?.question?.result
        .map((item) => (!item || item === "#" ? "." : item))
        .join("|");

    const data = [
      ["imageName", "zkzh", "smda"],
      [
        dataCheckStore.curStudent.imageName,
        dataCheckStore.curStudent?.examNumber,
        smda,
      ],
    ];
    const filename = `${dataCheckStore.curStudent.imageName}.csv`;
    let result = true;
    await saveCheck(data, filename).catch((err) => {
      result = false;
      console.log(err);
      message.error(err.message || "保存失败，请重新尝试！");
    });

    if (!result) return;
    dataCheckStore.curStudent.checked = true;
  };

  return { save };
}
